# Uses of Class
javax.help.HelpSet.Presentation

Packages that use HelpSet.Presentation
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of HelpSet.Presentation in javax.help

Fields in javax.help declared as HelpSet.Presentation
Modifier and Type
Field
Description
`protected HelpSet.Presentation`
JHelp.`hsPres`
Methods in javax.help that return HelpSet.Presentation
Modifier and Type
Method
Description
`HelpSet.Presentation`
HelpSet.`getDefaultPresentation()`
`HelpSet.Presentation`
JHelp.`getHelpSetPresentation()`
`HelpSet.Presentation`
WindowPresentation.`getHelpSetPresentation()`
Return the HelpSet.Presentation if one was set
`HelpSet.Presentation`
HelpSet.`getPresentation(String name)`
Gets the HelpSet.Presentation with a specific name.
`HelpSet.Presentation[]`
HelpSet.`getPresentations()`
HelpSet.Presentation describes the presentations that are defined by this HelpSet.
Methods in javax.help with parameters of type HelpSet.Presentation
Modifier and Type
Method
Description
`protected void`
HelpSet.`addPresentation(HelpSet.Presentation presentation, boolean defaultPres)`
Adds a HelpSet.Presentation to the current list.
`void`
DefaultHelpBroker.`setHelpSetPresentation(HelpSet.Presentation hsPres)`
Set the presentation attributes from a HelpSet.Presentation.
`void`
HelpBroker.`setHelpSetPresentation(HelpSet.Presentation hsPres)`
Sets the presentation attributes from a HelpSet.Presentation.
`void`
JHelp.`setHelpSetPresentation(HelpSet.Presentation hsPres)`
Set the HelpSet.Presentation.
`void`
Presentation.`setHelpSetPresentation(HelpSet.Presentation hsPres)`
Set the Presentation attributes from a named presentation in a HelpSet.
`void`
ServletHelpBroker.`setHelpSetPresentation(HelpSet.Presentation pres)`
`void`
WindowPresentation.`setHelpSetPresentation(HelpSet.Presentation hsPres)`
Set the Presentation attributes specific to WindowPresentations from a named presentation in a HelpSet.
Constructors in javax.help with parameters of type HelpSet.Presentation
Modifier
Constructor
Description
``
`JHelp(TextHelpModel model, HelpHistoryModel history, HelpSet.Presentation hsPres)`
Create a JHelp using the TextHelpModel and HelpHistoryModel